/* src/main.scss */
.et_mobile_menu {
  display: block;
  width: 100%;
}
.et_mobile_menu ul {
  list-style: none;
  margin: 0;
  padding-left: 0;
}
.et_mobile_menu ul ul {
  z-index: 99999;
}
.et_mobile_menu ul li:hover > ul,
.et_mobile_menu ul li.focus > ul {
  left: auto;
}
.et_mobile_menu li {
  position: relative;
}
.et_mobile_menu a {
  display: block;
  text-decoration: none;
}
.site-header .menu-toggle {
  position: relative;
  display: none;
  justify-content: center;
  align-items: center;
  padding: 3rem 0 3rem 4rem;
  cursor: pointer;
}
.site-header .menu-toggle .icon {
  position: relative;
  width: 30px;
  height: 4px;
  background-color: var(--wp--preset--color--primary);
}
.site-header .menu-toggle .icon::before,
.site-header .menu-toggle .icon::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: inherit;
  transform-origin: left center;
  transition: all 250ms ease;
}
.site-header .menu-toggle .icon::before {
  transform: translate(0, -200%) rotateZ(0);
}
.site-header .menu-toggle .icon::after {
  transform: translate(0, 200%) rotateZ(0);
}
@media (max-width: 1024px) {
  .site-header #site-navigation {
    transform: translateX(-100%);
    opacity: 0;
    transition: transform 333ms ease, opacity 333ms ease;
  }
  .site-header .menu-toggle {
    display: flex;
  }
  .site-header.mobile-nav-open #site-navigation {
    transform: translateX(0);
    opacity: 1;
  }
  .site-header.mobile-nav-open .menu-toggle .icon::before {
    width: 60%;
    transform: translate(0, 25%) rotateZ(-45deg);
  }
  .site-header.mobile-nav-open .menu-toggle .icon::after {
    width: 60%;
    transform: translate(0, -25%) rotateZ(45deg);
  }
}
.accordian-menu {
  display: block;
}
.accordian-menu .accordian-menu-sub-menu {
  position: relative;
}
.accordian-menu .accordian-sub-menu {
  position: relative;
  overflow-y: hidden;
  transition: height ease 500ms, opacity ease 500ms;
  height: var(--close-height);
  opacity: 0;
}
.accordian-menu .control {
  position: absolute;
  top: 1rem;
  right: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 24px;
  height: 24px;
  color: white;
  cursor: pointer;
  transform-origin: center;
  transition: opacity ease 500ms, transform ease 500ms;
}
.accordian-menu .accordian-item-active .accordian-sub-menu {
  height: var(--open-height);
  opacity: 1;
}
.accordian-menu .accordian-item-active .control {
  opacity: 0.75;
  transform: rotateZ(225deg);
}
#et_top_search {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
}
#et_top_search #et_search_icon::before {
  display: block;
  top: 3px;
  width: 18px;
  height: 18px;
}
@media (max-width: 980px) {
  #et_top_search #et_search_icon::before {
    top: 3px;
  }
}
